## cups 1.5.2

=== backend/Makefile ===
#
# "$Id: Makefile 9737 2011-05-04 04:28:00Z mike $"
#
#   Backend makefile for CUPS.
#
#   Copyright 2007-2011 by Apple Inc.
#   Copyright 1997-2007 by Easy Software Products, all rights reserved.
#
#   These coded instructions, statements, and computer programs are the
#   property of Apple Inc. and are protected by Federal copyright
#   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
#   which should have been included with this file.  If this file is
#   file is missing or damaged, see the license at "http://www.cups.org/".
#
#   This file is subject to the Apple OS-Developed Software exception.
#

include ../Makedefs

#
# Object files...
#

RBACKENDS =	ipp lpd $(DNSSD_BACKEND)
UBACKENDS =	$(LEGACY_BACKENDS) serial snmp socket usb
UNITTESTS =	test1284 testbackend testsupplies
TARGETS =	libbackend.a $(RBACKENDS) $(UBACKENDS)
LIBOBJS	=	ieee1284.o network.o runloop.o snmp-supplies.o
OBJS	=	ipp.o lpd.o dnssd.o parallel.o serial.o snmp.o \
		socket.o test1284.o testbackend.o testsupplies.o usb.o


#
# Make all targets...
#

all:	$(TARGETS)


#
# Make library targets...
#

libs:


#
# Make unit tests...
#

unittests:	$(UNITTESTS)


#
# Clean all object files...
#

clean:
	$(RM) $(OBJS) $(TARGETS) $(UNITTESTS) $(LIBOBJS) http mdns


#
# Update dependencies (without system header dependencies...)
#

depend:
	makedepend -Y -I.. -fDependencies $(OBJS:.o=.c) >/dev/null 2>&1


#
# Install all targets...
#

install:	all install-data install-headers install-libs install-exec


#
# Install data files...
#

install-data:


#
# Install programs...
#

install-exec:	$(INSTALLXPC)
	echo Installing backends in $(SERVERBIN)/backend
	$(INSTALL_DIR) -m 755 $(SERVERBIN)/backend
	for file in $(RBACKENDS); do \
		$(LIBTOOL) $(INSTALL_BIN) -m 700 $$file $(SERVERBIN)/backend; \
	done
	for file in $(UBACKENDS); do \
		$(INSTALL_BIN) $$file $(SERVERBIN)/backend; \
	done
	for file in $(IPPALIASES); do \
		$(RM) $(SERVERBIN)/backend/$$file; \
		$(LN) ipp $(SERVERBIN)/backend/$$file; \
	done
	if test "x$(DNSSD_BACKEND)" != x; then \
		$(RM) $(SERVERBIN)/backend/mdns; \
		$(LN) $(DNSSD_BACKEND) $(SERVERBIN)/backend/mdns; \
	fi
	if test "x$(SYMROOT)" != "x"; then \
		$(INSTALL_DIR) $(SYMROOT); \
		for file in $(TARGETS); do \
			cp $$file $(SYMROOT); \
		done \
	fi

install-xpc:	ipp
	echo Installing XPC backends in $(SERVERBIN)/apple
	$(INSTALL_DIR) -m 755 $(SERVERBIN)/apple
	$(LIBTOOL) $(INSTALL_BIN) ipp $(SERVERBIN)/apple
	for file in $(IPPALIASES); do \
		$(RM) $(SERVERBIN)/apple/$$file; \
		$(LN) ipp $(SERVERBIN)/apple/$$file; \
	done


#
# Install headers...
#

install-headers:


#
# Install libraries...
#

install-libs:


#
# Uninstall all targets...
#

uninstall:
	$(RM) $(SERVERBIN)/apple/ipp
	for file in $(IPPALIASES); do \
		$(RM) $(SERVERBIN)/apple/$$file; \
	done
	-$(RMDIR) $(SERVERBIN)/apple
	for file in $(RBACKENDS) $(UBACKENDS); do \
		$(RM) $(SERVERBIN)/backend/$$file; \
	done
	for file in $(IPPALIASES); do \
		$(RM) $(SERVERBIN)/backend/$$file; \
	done
	-$(RMDIR) $(SERVERBIN)/backend
	-$(RMDIR) $(SERVERBIN)


#
# test1284
#

test1284:	test1284.o ../cups/$(LIBCUPSSTATIC)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o test1284 test1284.o ../cups/$(LIBCUPSSTATIC) \
		$(LIBGSSAPI) $(SSLLIBS) $(DNSSDLIBS) $(COMMONLIBS) $(LIBZ)


#
# testbackend
#

testbackend:	testbackend.o ../cups/$(LIBCUPSSTATIC)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o testbackend testbackend.o ../cups/$(LIBCUPSSTATIC) \
		$(LIBGSSAPI) $(SSLLIBS) $(DNSSDLIBS) $(COMMONLIBS) $(LIBZ)


#
# testsupplies
#

testsupplies:	testsupplies.o libbackend.a ../cups/$(LIBCUPSSTATIC)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o testsupplies testsupplies.o libbackend.a \
		../cups/$(LIBCUPSSTATIC) $(LIBGSSAPI) $(SSLLIBS) $(DNSSDLIBS) \
		$(COMMONLIBS) $(LIBZ)


#
# libbackend.a
#

libbackend.a:	$(LIBOBJS)
	echo Archiving $@...
	$(RM) $@
	$(AR) $(ARFLAGS) $@ $(LIBOBJS)
	$(RANLIB) $@


#
# dnssd
#

dnssd:	dnssd.o ../cups/$(LIBCUPS) libbackend.a
	echo Linking $@...
	$(CC) $(LDFLAGS) -o dnssd dnssd.o libbackend.a $(LIBS)
	$(RM) mdns
	$(LN) dnssd mdns


#
# ipp
#

ipp:	ipp.o ../cups/$(LIBCUPS) libbackend.a
	echo Linking $@...
	$(CC) $(LDFLAGS) -o ipp ipp.o libbackend.a $(LIBS)
	$(RM) http
	$(LN) ipp http


#
# lpd
#

lpd:	lpd.o ../cups/$(LIBCUPS) libbackend.a
	echo Linking $@...
	$(CC) $(LDFLAGS) -o lpd lpd.o libbackend.a $(LIBS)


#
# parallel
#

parallel:	parallel.o ../cups/$(LIBCUPS) libbackend.a
	echo Linking $@...
	$(CC) $(LDFLAGS) -o parallel parallel.o libbackend.a $(LIBS)


#
# serial
#

serial:	serial.o ../cups/$(LIBCUPS) libbackend.a
	echo Linking $@...
	$(CC) $(LDFLAGS) -o serial serial.o libbackend.a $(BACKLIBS) $(LIBS)


#
# snmp
#

snmp:	snmp.o ../cups/$(LIBCUPS) libbackend.a
	echo Linking $@...
	$(CC) $(LDFLAGS) -o snmp snmp.o libbackend.a $(LIBS)


#
# socket
#

socket:	socket.o ../cups/$(LIBCUPS) libbackend.a
	echo Linking $@...
	$(CC) $(LDFLAGS) -o socket socket.o libbackend.a $(LIBS)


#
# usb
#

usb:	usb.o ../cups/$(LIBCUPS) libbackend.a
	echo Linking $@...
	$(CC) $(LDFLAGS) -o usb usb.o libbackend.a $(LIBUSB) \
		$(BACKLIBS) $(LIBS)
usb.o:	usb.c usb-darwin.c usb-libusb.c usb-unix.c


#
# Dependencies...
#

include Dependencies


#
# End of "$Id: Makefile 9737 2011-05-04 04:28:00Z mike $".
#

=== locale/Makefile ===
#
# "$Id: Makefile 10209 2012-01-30 22:19:03Z mike $"
#
#   Locale file makefile for CUPS.
#
#   Copyright 2007-2011 by Apple Inc.
#   Copyright 1993-2007 by Easy Software Products.
#
#   These coded instructions, statements, and computer programs are the
#   property of Apple Inc. and are protected by Federal copyright
#   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
#   which should have been included with this file.  If this file is
#   file is missing or damaged, see the license at "http://www.cups.org/".
#

include ../Makedefs


OBJS	=	checkpo.o po2strings.o strings2po.o translate.o
TARGETS	=	checkpo po2strings strings2po translate


#
# Make everything...
#

all:	$(TARGETS)


#
# Make library targets...
#

libs:


#
# Make unit tests...
#

unittests:


#
# Clean all config and object files...
#

clean:
	$(RM) $(TARGETS) $(OBJS)


#
# Update dependencies (without system header dependencies...)
#

depend:
	makedepend -Y -I.. -fDependencies $(OBJS:.o=.c) >/dev/null 2>&1


#
# Install all targets...
#

install:	all install-data install-headers install-libs install-exec


#
# Install data files...
#

install-data: $(INSTALL_LANGUAGES)

install-languages:
	$(INSTALL_DIR) -m 755 $(LOCALEDIR)
	for loc in $(LANGUAGES) ; do \
		if test -f cups_$$loc.po; then \
			$(INSTALL_DIR) -m 755 $(LOCALEDIR)/$$loc ; \
			$(INSTALL_DATA) cups_$$loc.po $(LOCALEDIR)/$$loc/cups_$$loc.po ; \
		fi ; \
	done

install-langbundle: po2strings
	$(INSTALL_DIR) -m 755 "$(BUILDROOT)$(BUNDLEDIR)/Resources/English.lproj"
	$(INSTALL_DATA) cups.strings "$(BUILDROOT)$(BUNDLEDIR)/Resources/English.lproj"


#
# Install programs...
#

install-exec:


#
# Install headers...
#

install-headers:


#
# Install libraries...
#

install-libs:


#
# Uninstall files...
#

uninstall: $(UNINSTALL_LANGUAGES)

uninstall-languages:
	-for loc in $(LANGUAGES) ; do \
		$(RM) $(LOCALEDIR)/$$loc/cups_$$loc.po ; \
	done

uninstall-langbundle:
	$(RM) "$(BUILDROOT)$(BUNDLEDIR)/Resources/English.lproj/cups.strings"


#
# pot - Creates/updates the cups.pot template file, merges changes into existing
#       message catalogs, and updates the cups.strings file.  We don't use
#       xgettext to update the cups.strings file due to known xgettext bugs.
#

pot:	checkpo po2strings
	echo Updating cups.pot...
	mv cups.pot cups.pot.bck
	touch cups.pot
	cd ..; xgettext -o locale/cups.pot -cTRANSLATORS -s \
		--keyword=_ --no-wrap \
		--copyright-holder="Apple Inc." \
		--package-name="CUPS" --package-version="1.5" \
		--msgid-bugs-address="http://www.cups.org/str.php" \
		*/*.c */*.cxx
	(cat cups.header; tail +6 cups.pot; cat cups.footer) > cups.pot.N
	mv cups.pot.N cups.pot
	echo Checking cups.pot...
	./checkpo cups.pot
	for loc in *.po; do \
		echo Merging changes into cups_$$loc.po... ; \
		msgmerge -o $$loc -s -N --no-location $$loc cups.pot ; \
	done
	echo Updating cups.strings...
	./po2strings cups.pot cups.strings


#
# checkpo - A simple utility to check PO files for correct translation
#           strings.  Dependency on static library is deliberate.
#
# checkpo filename.po [... filenameN.po]
#

checkpo:	checkpo.o ../cups/$(LIBCUPSSTATIC)
	echo Linking $<...
	$(CC) $(ARCHFLAGS) $(LDFLAGS) -o checkpo checkpo.o \
		../cups/$(LIBCUPSSTATIC) $(LIBGSSAPI) $(SSLLIBS) $(DNSSDLIBS) \
		$(COMMONLIBS) $(LIBZ)

checkall:	checkpo
	for file in *.po; do \
		./checkpo $$file; \
	done


#
# po2strings - A simple utility which uses iconv to convert GNU gettext
#              message catalogs to Mac OS X .strings files.
#
# po2strings filename.po filename.strings
#

po2strings:	po2strings.o ../cups/$(LIBCUPSSTATIC)
	echo Linking $<...
	$(CC) $(ARCHFLAGS) $(LDFLAGS) -o po2strings po2strings.o \
		../cups/$(LIBCUPSSTATIC) $(LIBGSSAPI) $(SSLLIBS) $(DNSSDLIBS) \
		$(COMMONLIBS) $(LIBZ)


#
# strings2po - A simple utility which uses iconv to convert Mac OS X
#              .strings files to GNU gettext message catalogs.
#
# strings2po filename.strings filename.po
#

strings2po:	strings2po.o
	echo Linking $<...
	$(CC) $(ARCHFLAGS) $(LDFLAGS) -o strings2po strings2po.o


#
# translate - A simple utility which uses Google to translate the cups.pot
#             file to one of several languages.
#
# translate outfile language
#

translate:	translate.o ../cups/$(LIBCUPSSTATIC)
	echo Linking $<...
	$(CC) $(ARCHFLAGS) $(LDFLAGS) -o translate translate.o \
		../cups/$(LIBCUPSSTATIC) $(LIBGSSAPI) $(SSLLIBS) $(DNSSDLIBS) \
		$(COMMONLIBS) $(LIBZ)


#
# Dependencies...
#

include Dependencies


#
# End of "$Id: Makefile 10209 2012-01-30 22:19:03Z mike $".
#

=== test/Makefile ===
#
# "$Id: Makefile 10001 2011-09-14 22:38:58Z mike $"
#
#   IPP test makefile for CUPS.
#
#   Copyright 2007-2010 by Apple Inc.
#   Copyright 1997-2006 by Easy Software Products, all rights reserved.
#
#   These coded instructions, statements, and computer programs are the
#   property of Apple Inc. and are protected by Federal copyright
#   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
#   which should have been included with this file.  If this file is
#   file is missing or damaged, see the license at "http://www.cups.org/".
#

include ../Makedefs


#
# Sample test files.
#

TESTFILES	=	\
			color.jpg \
			create-printer-subscription.test \
			document-a4.pdf \
			document-a4.ps \
			document-letter.pdf \
			document-letter.ps \
			get-completed-jobs.test \
			get-jobs.test \
			gray.jpg \
			ipp-1.1.test \
			ipp-2.0.test \
			ipp-2.1.test \
			ipp-2.2.test \
			onepage-a4.pdf \
			onepage-a4.ps \
			onepage-letter.pdf \
			onepage-letter.ps \
			testfile.jpg \
			testfile.pdf \
			testfile.ps \
			testfile.txt
OBJS		=	\
			ippserver.o \
			ipptool.o
TARGETS		=	\
			ippserver \
			ipptool \
			ipptool-static


#
# Make all targets...
#

all:		$(TARGETS)


#
# Make library targets...
#

libs:


#
# Make unit tests...
#

unittests:


#
# Clean all object files...
#

clean:
	$(RM) $(TARGETS) $(OBJS)


#
# Update dependencies (without system header dependencies...)
#

depend:
	makedepend -Y -I.. -fDependencies $(OBJS:.o=.c) >/dev/null 2>&1


#
# Install all targets...
#

install:	all install-data install-headers install-libs install-exec


#
# Install data files...
#

install-data:
	echo Installing sample ipptool files in $(DATADIR)/ipptool...
	$(INSTALL_DIR) -m 755 $(DATADIR)/ipptool
	for file in $(TESTFILES); do \
		$(INSTALL_DATA) $$file $(DATADIR)/ipptool; \
	done


#
# Install programs...
#

install-exec:
	echo Installing ipptool in $(BINDIR)...
	$(INSTALL_DIR) -m 755 $(BINDIR)
	$(INSTALL_BIN) ipptool $(BINDIR)
	if test "x$(SYMROOT)" != "x"; then \
		$(INSTALL_DIR) $(SYMROOT); \
		cp ipptool $(SYMROOT); \
	fi


#
# Install headers...
#

install-headers:


#
# Install libraries...
#

install-libs:


#
# Unnstall all targets...
#

uninstall:


#
# ippserver
#

ippserver:	ippserver.o ../cups/$(LIBCUPSSTATIC)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ ippserver.o  ../cups/$(LIBCUPSSTATIC) \
		$(LIBGSSAPI) $(SSLLIBS) $(DNSSDLIBS) $(COMMONLIBS) $(LIBZ)


#
# ippserver-shared
#

ippserver-shared:	ippserver.o ../cups/$(LIBCUPS)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ ippserver.o $(LIBS)


#
# ipptool
#

ipptool:	ipptool.o ../cups/$(LIBCUPS)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ ipptool.o $(LIBS)


#
# ipptool-static
#

ipptool-static:	ipptool.o ../cups/$(LIBCUPSSTATIC)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ ipptool.o  ../cups/$(LIBCUPSSTATIC) \
		$(LIBGSSAPI) $(SSLLIBS) $(DNSSDLIBS) $(COMMONLIBS) $(LIBZ)


#
# Dependencies...
#

include Dependencies


#
# End of "$Id: Makefile 10001 2011-09-14 22:38:58Z mike $".
#

=== debian/changelog ===
cups (1.5.2-5) unstable; urgency=low

  * debian/patches/commandtops-make-robust-against-broken-postscript.patch:
    CUPS' commandtops filter allows auto-configuration of the default option
    settings of PostScript printers querying the printer using PostScript
    commands defined in the PPD file ("*?..." entries). Problem is that if
    one of the query commands has a PostScript error (rather common in
    manufacturer-supplied PPD files) the printer errors out and ignores all
    subsequent queries putting the auto-configuration job into a 90-second
    timeout for each query. This patch protects the job against failures
    on broken PostScript and shortens the timeout to 10 seconds, so that
    as many options as possible get auto-configured in a reasonable time.
    Thanks to Helge Blischke for applying the needed PostScript tricks
    (CUPS STR #4028). No auto-configuration of PostScript printers actually
    works by sending a job like 'echo -en '#CUPS-COMMAND\nAutoConfigure\n' |
    lp -d <printer>' which could be done by a button in a printer setup tool.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 23 Feb 2012 14:52:01 +0100

cups (1.5.2-4) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/local/blacklist-cups-usblp.conf, debian/cups.install: Removed
    the blacklisting of the "usblp" kernel module. The new libusb-1.0.x-
    based "usb" backend automatically disconnects the module from the
    printer with which it communicates and reconnects it afterwards. This
    way we can keep the module available for third-party drivers but let
    the CUPS backend use the more modern libusb method, especially
    providing bi-di access for all printers (CUPS STR #3626).

  [ Martin Pitt ]
  * Clean up /etc/modprobe.d/blacklist-cups-usblp.conf conffile on upgrade,
    using dpkg-maintscript-helper. Add necessary dpkg pre-depends for this.
  * debian/cups.{pre,post}inst: Remove upgrade transitions for versions prior
    to Debian Squeeze/Ubuntu 10.04 LTS.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 16 Feb 2012 11:28:36 +0100

cups (1.5.2-3) unstable; urgency=low

  * debian/patches/usb-backend-backchannel-support.patch: Added backchannel
    (bi-directional access) support to the "usb" backend. This allows things
    like status checks, auto-configuration (run command "echo -en
    '#CUPS-COMMAND\nAutoConfigure\n' | lpr -P <printer>" on USB-connected
    PostScript printer with manufacturer's PPD), and also use of proprietary
    manufacturer drivers which require read-back from printer (CUPS STR #2890).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 09 Feb 2012 06:17:57 +0100

cups (1.5.2-2) unstable; urgency=low

  * debian/patches/series: Actually add the new patches for the IPP backend and
    the SNMP supply level check (LP: #879625, LP: #881843, LP: #925086,
    LP: #926457).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 07 Feb 2012 17:57:57 +0100

cups (1.5.2-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
  * debian/patches/00svn_gif_overflow.patch,
    debian/patches/cups-driverd-recognize-cached-drv-generated-ppds.patch,
    debian/patches/dont-send-malformed-dbus-messages.patch,
    debian/patches/execute-commandtops-commands.patch,
    debian/patches/usb-backend-gracefully-fail-on-more-cases-of-bad-device-id.patch,
    debian/patches/usb-backend-skip-set-configuration-set-interface.patch:
    Removed, included upstream.
  * debian/patches/ipp-patch-r8950+.patch,
    debian/patches/ipp-backend-fails-to-trigger-authentication-prompts.patch,
    debian/patches/ipp-backend-missing-document-type.patch,
    debian/patches/ipp-backend-http-1.0-fallback-fix.patch: Replaced patch
    for downgrading to the IPP backend to the version of CUPS 1.4.x by patches
    for the current backend (LP: #879625, LP: #881843, CUPS STR #3985,
    CUPS STR #3986, CUPS STR #3988, thanks to Robert Bradley, robert dot
    bradley1 at gmail dot com, for the patches).
  * debian/patches/drop_unnecessary_dependencies.patch: Updated patch to
    add "-lm" to the linker command line, libcups uses the "fmod()" function
    now.
  * debian/patches/cups-avahi.patch,
    debian/patches/usb-backend-libusb-1.0.patch,
    debian/patches/printer-filtering.patch:
    Manually regenerated to adapt to upstream changes.
  * debian/patches/pidfile.patch,
    debian/patches/rootbackends-worldreadable.patch,
    debian/patches/colord-support.patch,
    debian/patches/airprint-support.patch,
    debian/patches/no-conffile-timestamp.patch,
    debian/patches/read-embedded-options-from-incoming-postscript-and-add-to-ipp-attrs.patch,
    debian/patches/do-not-broadcast-with-hostnames.patch,
    debian/patches/do-not-suppress-inputslot-setting-with-empty-ap-d-inputslot.patch,
    debian/patches/confdirperms.patch,
    debian/patches/show-compile-command-lines.patch,
    debian/patches/log-debug-history-nearly-unlimited.patch,
    debian/patches/dnssd-reg-array-linear-search.patch:
    Refreshed using quilt.
  * debian/patches/fix-supply-level-computation-for-percent-supply-unit.patch,
    debian/patches/fix-supply-levels-for-enumerated-prtmarkersupplieslevel.patch,
    debian/patches/fix-status-reports-when-supply-levels-grow.patch:
    The printer supply levels reported via SNMP, according to the printer MIB
    were not correctly interpreted (LP: #925086, CUPS STR #4016, thanks to
    Peter Hurley, peter at hurleysoftware dot com, for the patches).
  * debian/patches/add-status-reports-for-full-waste-trays-and-cleaner-unit-eol.patch:
    Added status reports for waste tray status and cleaner unit end-of-life
    (LP: #925086, CUPS STR #4017, thanks to Peter Hurley, peter at
    hurleysoftware dot com, for the patch).
  * debian/patches/match-marker-colorants-which-use-non-standard-string.patch:
    Try harder to match supply colorant values (LP: #925086, CUPS STR #4019,
    thanks to Peter Hurley, peter at hurleysoftware dot com, for the patch).


=== debian/control ===
Source: cups
Standards-Version: 3.9.2
Priority: optional
Section: net
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Uploaders: 
 Masayuki Hatta (mhatta) <mhatta@debian.org>,
 Till Kamppeter <till.kamppeter@gmail.com>,
 Roger Leigh <rleigh@debian.org>, 
 Jeff Licquia <licquia@debian.org>,
 Kenshi Muto <kmuto@debian.org>, 
 Martin Pitt <mpitt@debian.org>
Build-Depends: 
 autoconf, automake, autotools-dev,
 cdbs (>= 0.4.93~), debhelper (>= 8.1.3~), 
 ghostscript (>= 9.02~), hardening-wrapper, 
 libavahi-client-dev, libavahi-common-dev, libavahi-compat-libdnssd-dev, 
 libdbus-1-dev, libfontconfig1-dev, libfreetype6-dev, libgnutls-dev, 
 libijs-dev, libjpeg-dev, libldap2-dev, 
 libkrb5-dev,
 libpam0g-dev, libpaper-dev, libpng12-dev, 
 libslp-dev, libtiff4-dev, libtool, libusb-1.0-0-dev [!hurd-any], 
 patch, pkg-config, po4a (>= 0.31~), po-debconf, poppler-utils, 
 sharutils, zlib1g-dev
Homepage: http://www.cups.org
Vcs-Bzr: http://bzr.debian.org/pkg-cups/cups/debian-trunk/
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-cups/cups/debian-trunk/

Package: libcups2
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: cups-common
Provides: libcupsys2
Conflicts: libcupsys2
Replaces: libcupsys2
Breaks: cups (<< 1.5.0)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - Core library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the base shared libraries for CUPS.

Package: libcupsimage2
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - Raster image library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the image libraries for handling the CUPS
 raster format.

Package: libcupscgi1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - CGI library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides a shared library for CGI programs in the
 CUPS web interface

Package: libcupsdriver1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - Driver library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides a shared library with useful functions for printer
 drivers.

Package: libcupsmime1
Priority: optional
Section: libs
Architecture: any
Depends: libcups2 (>= 1.5~), ${shlibs:Depends}, ${misc:Depends}
Breaks: cups (<< 1.5.0)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - MIME library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides a shared library for file type detection and
 file conversion filter chain building.

Package: libcupsppdc1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - PPD manipulation library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the base shared library for generating and
 manipulating PPD files.

Package: cups
Priority: optional
Section: net
Architecture: any
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0,
 poppler-utils (>= 0.12), procps, ghostscript (>= 9.02~), lsb-base (>= 3),
 cups-common (>= ${source:Upstream-Version}), 
 cups-client (>= ${binary:Version}),
 ssl-cert (>= 1.0.11), adduser, bc, cups-ppdc, cups-filters
Recommends: avahi-daemon, colord, foomatic-filters (>= 4.0), 
 cups-driver-gutenprint, ghostscript-cups (>= 9.02~)
Suggests: cups-bsd, foomatic-db-compressed-ppds | foomatic-db,
 hplip, cups-pdf, udev, smbclient
Replaces: cupsddk-drivers (<< 1.4.0), ghostscript-cups (<< 9.02~)
Provides: cupsddk-drivers
Breaks: cupsddk-drivers (<< 1.4.0), foomatic-filters (<< 4.0), ghostscript-cups (<< 9.02~)
Description: Common UNIX Printing System(tm) - server
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the CUPS scheduler/daemon and related files.

Package: cups-client
Priority: optional
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 cups-common (>= ${source:Upstream-Version}), adduser
Recommends: smbclient
Suggests: cups, xpp, cups-bsd
Conflicts: lprng
Description: Common UNIX Printing System(tm) - client programs (SysV)
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the System V style print client programs.

Package: libcups2-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcups2 (= ${binary:Version}), 
 libgnutls-dev, libkrb5-dev
Provides: libcupsys2-dev
Description: Common UNIX Printing System(tm) - Development files CUPS library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing CUPS-aware
 applications and CUPS drivers, as well as examples how to communicate
 with cups from different programming languages (Perl, Java, and
 PHP).

Package: libcupsimage2-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 libcupsimage2 (= ${binary:Version}), libcups2-dev (= ${binary:Version}), 
 libpng-dev, libtiff4-dev, libjpeg8-dev | libjpeg-dev, zlib1g-dev
Description: Common UNIX Printing System(tm) - Development files CUPS image library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing applications
 that use the CUPS raster image format.

Package: libcupscgi1-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcupscgi1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files for CGI library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing CGI programs
 for the CUPS web interface using libcupscgi.

Package: libcupsdriver1-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcupsdriver1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version}), libcupsimage2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files driver library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing printer drivers
 using libcupsdriver.

Package: libcupsmime1-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcupsmime1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files MIME library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing programs
 using libcupsmime.

Package: libcupsppdc1-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcupsppdc1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files PPD library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing programs
 using libcupsppdc.

Package: cups-bsd
Priority: extra
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 cups-client (= ${binary:Version}),
 debconf | debconf-2.0, update-inetd, cups-common
Suggests: cups
Conflicts: lpr, lprng
Replaces: lpr
Provides: lpr
Description: Common UNIX Printing System(tm) - BSD commands
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpr, lpd and the like.  It supports the
 Internet Printing Protocol (IPP), and has its own filtering driver
 model for handling various document types.
 .
 This package provides the BSD commands for interacting with CUPS.  It
 is provided separately to allow CUPS to coexist with other printing
 systems (to a small degree).

Package: cups-common
Priority: optional
Section: net
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Common UNIX Printing System(tm) - common files
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides common files for CUPS server and client packages.

Package: cups-ppdc
Priority: optional
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cups-common
Breaks: cupsddk (<< 1.4.0)
Replaces: cupsddk (<< 1.4.0)
Provides: cupsddk
Description: Common UNIX Printing System(tm) - PPD manipulation utilities

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1

# work around libpng crash on our test PNGs with 8 bit colormaps (LP #710881)
export NO_PNG_PKG_MANGLE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS := --with-optim=$(DEB_OPTFLAGS) --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --mandir=/usr/share/man --with-docdir=/usr/share/cups/doc-root --localedir=/usr/share/cups/locale --enable-slp --enable-libpaper --enable-ssl --enable-gnutls --disable-openssl --enable-threads --enable-static --enable-debug --enable-dbus --with-dbusdir=/etc/dbus-1 --enable-gssapi --enable-avahi --with-pdftops=/usr/bin/gs --disable-launchd --with-cups-group=lp --with-system-groups=lpadmin --with-printcap=/var/run/cups/printcap --with-log-file-perm=0640 CFLAGS="$(CFLAGS)" --with-local_protocols='CUPS dnssd' --with-remote_protocols='CUPS dnssd'
ifeq ($(DEB_HOST_ARCH_OS),hurd)
DEB_CONFIGURE_EXTRA_FLAGS += --disable-libusb
else
DEB_CONFIGURE_EXTRA_FLAGS += --enable-libusb
endif

DEB_MAKE_INSTALL_TARGET := install BUILDROOT=$(DEB_DESTDIR)
DEB_INSTALL_CHANGELOGS_ALL := CHANGES.txt

ifeq ($(shell dpkg-vendor --query vendor), Ubuntu)
DEB_DH_INSTALLINIT_ARGS := --upstart-only
else
DEB_DH_INSTALLINIT_ARGS := -u'start 50 2 3 4 5 . stop 80 1 .'
endif

DEB_DH_STRIP_ARGS := --dbg-package=cups-dbg
DEB_DH_FIXPERMS_ARGS := -Xusr/lib/cups/backend-available
DEB_DH_COMPRESS_ARGS := -Xusr/share/doc/libcups2-dev/examples/scripting
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
ifneq ($(findstring $(DEB_BUILD_ARCH), arm m68k),)
DEB_MAKE_CHECK_TARGET := check || true
else
# Test suite deactivated as colord changes number of warnings in error_log.
DEB_MAKE_CHECK_TARGET := check || true
endif
LDFLAGS := -Wl,--as-needed
DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DPKG_GENSYMBOLS_CHECK_LEVEL

post-patches::
	set -e; if dpkg-vendor --is ubuntu && ! [ -e debian/patches/ubuntu/stamp-applied ]; then \
	    echo '---- Applying Ubuntu specific patches'; \
	    for p in debian/patches/ubuntu/*; do \
	        patch -p1 --no-backup-if-mismatch < $$p; \
	    done; \
	    touch debian/patches/ubuntu/stamp-applied; \
	fi
	# Rebuild ./configure to get build system patches working
	aclocal
	autoconf

clean::
	if [ -e debian/patches/ubuntu/stamp-applied ]; then \
	    echo '---- Unapplying Ubuntu specific patches'; \
	    for p in debian/patches/ubuntu/*; do \
	        patch -Rp1 --no-backup-if-mismatch < $$p; \
	    done; \
	    rm debian/patches/ubuntu/stamp-applied; \
	fi

cleanbuilddir::
	rm -f man/client.conf.man packaging/cups.list
	rm -f conf/mime.convs conf/snmp.conf init/org.cups.cups-lpd.plist
	[ ! -f Makedefs ] || make distclean
	rm -f debian/*.upstart # master copy is in debian/local

common-install-prehook-impl::
	(cd fonts && $(MAKE) install BUILDROOT=$(DEB_DESTDIR))

	# Use upstart script on Ubuntu; we need to hide it away for Debian
	# builds, as dh_installinit does not have a --sysvinit-only
	if dpkg-vendor --is ubuntu; then \
	    cp debian/local/*.upstart debian; \
	fi

binary-post-install/cups::
	(cd $(DEB_DESTDIR)/../cups/usr/share/doc/cups && ln -sf ../../cups/doc-root online-docs)

	# Remove all files which get replaced by the ones in the cups-filters
	# package
	rm debian/$(cdbs_curpkg)/usr/lib/cups/backend*/serial
	rm debian/$(cdbs_curpkg)/usr/lib/cups/backend*/parallel
	rm debian/$(cdbs_curpkg)/usr/lib/cups/filter/bannertops
	rm debian/$(cdbs_curpkg)/usr/lib/cups/filter/commandtoescpx
	rm debian/$(cdbs_curpkg)/usr/lib/cups/filter/commandtopclx
	rm debian/$(cdbs_curpkg)/usr/lib/cups/filter/imagetops
	rm debian/$(cdbs_curpkg)/usr/lib/cups/filter/imagetoraster
	rm debian/$(cdbs_curpkg)/usr/lib/cups/filter/pdftops
	rm debian/$(cdbs_curpkg)/usr/lib/cups/filter/rastertoescpx
	rm debian/$(cdbs_curpkg)/usr/lib/cups/filter/rastertopclx
	rm debian/$(cdbs_curpkg)/usr/lib/cups/filter/texttops
	rm -rf debian/$(cdbs_curpkg)/usr/share/cups/banners
	rm debian/$(cdbs_curpkg)/usr/share/cups/data/testprint
	rm debian/$(cdbs_curpkg)/usr/share/cups/data/psglyphs
	rm debian/$(cdbs_curpkg)/usr/share/cups/fonts/*

	# Comment out conversion rules for removed filters
	perl -p -i -e 's:^(.*\s+(pdftops|texttops|imagetops|bannertops|imagetoraster)\s*)$$:#\1:' debian/$(cdbs_curpkg)/usr/share/cups/mime/mime.convs

	# Ensure that we don't ship anything in /var/run
	rm -rf $(DEB_DESTDIR)/../cups/var/run

	# PPD directories
	#mkdir -p "$(DEB_DESTDIR)/../cups/usr/share/ppd/cups-included/"

	# PPD-updating triggers directory
	mkdir -p "$(DEB_DESTDIR)/../cups/usr/share/cups/ppd-updaters/"

	dh_usrlocal

	# Install AppArmor, ufw profile, and Apport hook on Ubuntu
	if dpkg-vendor --is ubuntu; then \
	   install -D -m 644 debian/local/apparmor-profile debian/$(cdbs_curpkg)/etc/apparmor.d/usr.sbin.cupsd; \
	   install -D -m 644 debian/local/cups.ufw.profile debian/$(cdbs_curpkg)/etc/ufw/applications.d/cups; \
	   install -D -m 644 debian/local/apport-hook.py debian/$(cdbs_curpkg)/usr/share/apport/package-hooks/source_cups.py; \
	fi

	# Make the usb backend run as root, since /dev/bus/usb/* are
	# root:root in udev < 147, and cups does not use the usblp kernel
	# module any more; udev 147 makes most of those printers accessible to
	# lp, but apparently not all of them
	chmod go-x debian/$(cdbs_curpkg)/usr/lib/cups/backend-available/usb; \

binary-post-install/cups-common::
	rm debian/$(cdbs_curpkg)/usr/share/cups/charsets/utf-8

binary-post-install/libcupsimage2-dev::
	rm -r debian/libcupsimage2-dev/usr/share/doc/libcupsimage2-dev
	ln -s libcupsimage2 debian/libcupsimage2-dev/usr/share/doc/libcupsimage2-dev
binary-post-install/cups-bsd::
	rm -r debian/cups-bsd/usr/share/doc/cups-bsd
	ln -s libcups2 debian/cups-bsd/usr/share/doc/cups-bsd
binary-post-install/libcups2-dev::
	rm -f debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/examples/scripting/php/*.o
	rm -f debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/examples/scripting/php/*.so
binary-post-install/cups-client::
	rm -r debian/cups-client/usr/share/doc/cups-client
	ln -s libcups2 debian/cups-client/usr/share/doc/cups-client
